/*  Copyright (C) 1996  Paul Daniel
    See the file "shotgun.c" for full copyright information.  */

/* getdirinfo.h - prototypes for directory load routine */

#define MAXDIRSIZE 1000

struct TDIR {
    char name[256];
    unsigned long filesize;
    char timestamp[14];
    char filetype;
    char tag;
};

struct GDIR {
    char name[64];
    unsigned long filesize;
    char timestamp[14];
    char filetype;
    char tag;
};

struct DDIR {
    char name[256];
    char filetype;
    char level;
};

struct ASSN {
    char command[32];
    char extension[4];
    char run;
    char color;
};

struct PROG {
    char command[32];
    int hits;
};

struct SPTR {
    struct DDIR *dptr;
    struct GDIR *fptr;
};

struct CFG {
    char pc[20];
    char vc[20];
    char ec[20];
    char cc[20];
    char sc[20];
    char t1[10];
    char t2[10];
    char t3[10];
    char pic[20];
    char tic[20];
    char fic[20];
    char bak[10];
    char tl[3];
    char fl[3];
    int hff;
    int nc;
};
